sort.hpp File Reference
`#include <algorithm>`
`#include <climits>`

Go to the source code of this file.

## Classes

class | Gecode::Support::QuickSortStack< Type >
| Static stack for quicksort. More...
class | Gecode::Support::Less< Type >
| Comparison class for sorting using <. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Support
| Support algorithms and datastructures

## Functions

template<class Type, class Less>
void | Gecode::Support::exchange (Type &a, Type &b, Less &less)
| Exchange elements according to order.
template<class Type, class Less>
void | Gecode::Support::insertion (Type *l, Type *r, Less &less)
| Standard insertion sort.
template<class Type, class Less>
Type * | Gecode::Support::partition (Type *l, Type *r, Less &less)
| Standard partioning.
template<class Type, class Less>
void | Gecode::Support::quicksort (Type *l, Type *r, Less &less)
| Standard quick sort.
template<class Type, class Less>
void | Gecode::Support::insertion (Type *x, int n, Less &l)
| Insertion sort.
template<class Type>
void | Gecode::Support::insertion (Type *x, int n)
| Insertion sort.
template<class Type, class Less>
void | Gecode::Support::quicksort (Type *x, int n, Less &l)
| Quicksort.
template<class Type>
void | Gecode::Support::quicksort (Type *x, int n)
| Quicksort.

## Variables

int const | Gecode::Support::QuickSortCutoff = 20
| Perform quicksort only for more elements.